org.modeshape.jcr.api

## Class SecurityContextCredentials

- java.lang.Object
- - org.modeshape.jcr.api.SecurityContextCredentials

- All Implemented Interfaces:
    Serializable, Credentials

  Deprecated.
  Configure each repository to use a custom AuthenthicationProvider implementation

      @Deprecated
      public class SecurityContextCredentials
      extends Object
      implements Credentials

  `Credentials` implementation that wraps a `ModeShape JCR security context`.

  This class provides a means of passing security information about an authenticated user into the ModeShape JCR session implementation without using JAAS. This class effectively bypasses ModeShape's internal authentication mechanisms, so it is very important that this context be provided for authenticated users only.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecurityContextCredentials(SecurityContext jcrSecurityContext)` Deprecated. Initializes the class with an existing `JCR security context`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SecurityContext` | `getSecurityContext()` Deprecated. Returns the `JCR security context` for this instance.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SecurityContextCredentials

          public SecurityContextCredentials(SecurityContext jcrSecurityContext)

      Deprecated.
      Initializes the class with an existing `JCR security context`.
      Parameters:
        `jcrSecurityContext` - the security context; may not be null

  - ### Method Detail

    - #### getSecurityContext

          public final SecurityContext getSecurityContext()

      Deprecated.
      Returns the `JCR security context` for this instance.
      Returns:
        the `JCR security context` for this instance; never null

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.